# List scheduled payments List all scheduled payments for an account. # OpenAPI definition ```json { "openapi": "3.0.0", "info": { "title": "Banking - Transaction banking", "version": "0.9.0", "description": "Transaction banking API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Payments", "description": "Payment endpoints supporting external accounts" } ], "components": { "parameters": { "PaymentTypeQuery": { "name": "type", "in": "query", "description": "Determines the type of operation for the listed scheduled payments.", "required": false, "schema": { "type": "string", "enum": [ "CREDIT", "DEBIT", "TRANSFER" ], "default": "DEBIT" }, "example": "CREDIT" } }, "schemas": { "Cursor": { "type": "string", "description": "Cursor pointing to the next page of results", "example": "eyJJRCI6IjBjOGVhMTA4LWNhZTYtNDA2Mi1iMmQzLTFhMTZkNmJiNGIyOCIsIk9yZ0lEIjoiMDllYThhMDQtNWY5My0xMWVkLTliNmEtMDI0MmFjMTIwMDAyIn0=" }, "ErrorCode": { "description": "Error code\n`minLength: 1`\n`maxLength: 12`\n", "type": "string", "minLength": 1, "maxLength": 12, "example": "WPMT0017" }, "ErrorMessage": { "description": "Error message\n`minLength: 1`\n`maxLength: 1000`\n", "type": "string", "minLength": 1, "maxLength": 1000, "example": "Invalid JSON payload received: Error unmarshalling request" }, "ErrorResponse": { "type": "object", "properties": { "code": { "$ref": "#/components/schemas/ErrorCode" }, "message": { "$ref": "#/components/schemas/ErrorMessage" } } }, "ListScheduledPaymentResponse": { "title": "ListScheduledPaymentResponse", "type": "object", "properties": { "scheduled_payments": { "type": "array", "description": "List of scheduled payments", "items": { "type": "object", "properties": { "id": { "$ref": "#/components/schemas/ScheduledPaymentID" }, "status": { "$ref": "#/components/schemas/ScheduledPaymentStatus" } } } }, "pagination": { "$ref": "#/components/schemas/Pagination" } } }, "MaxItemsPerPage": { "type": "integer", "format": "int32", "description": "Maximum number of items per page", "example": 10 }, "Pagination": { "type": "object", "description": "Data related to list pagination using a cursor.", "properties": { "limit": { "$ref": "#/components/schemas/MaxItemsPerPage" }, "cursor": { "$ref": "#/components/schemas/Cursor" } } }, "ScheduledPaymentID": { "type": "string", "description": "ID used to reference the scheduled payment for subsequent operations.", "example": "d2644122-251b-41fa-b5b5-54cfad097afb" }, "ScheduledPaymentStatus": { "type": "string", "description": "Status of scheduled payment", "example": "ACTIVE" } }, "responses": { "500InternalServer": { "description": "Internal Server Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Generic internal error": { "value": { "code": "ECMN9999", "message": "Internal error" } } } } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "paths": { "/corporate/v2/scheduled-payments": { "get": { "summary": "List scheduled payments", "operationId": "corporate-v2-list-scheduled-payment", "description": "List all scheduled payments for an account.", "tags": [ "Payments" ], "parameters": [ { "$ref": "#/components/parameters/PaymentTypeQuery" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ListScheduledPaymentResponse" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Invalid type value": { "value": { "code": "WPMT0018", "message": "The provided type {type} is invalid" } } } } } }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```